
/** for resturants speifically **/
body {
    background-color: #16E0BD;
    overflow: hidden;
}
.resturantContainer {
    position: absolute;
    width: 60%;
    height: 90%;
    background-color: white;
    right: 0;
    left: 0;
    margin: auto;
    top: 30px;
    box-shadow: 2px 2px 0px 0px rgba(0,0,0,0.2);
}
.resturantContainer > h1 {
    text-align: center;
    color: black;
    font-family: monospace;
}
.map {
    height: 100%;
    width: 100%;
}
.modual {
    z-index: 5;
    display: none;
    place-items: center;
    position: absolute;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.5);
}
.modual > .inner {
    height: 50%;
    width: 40%;
}
.inner > button {
    border: none;
    background-color: rgba(255, 255, 255, 0.5);
    color: black;
    font-family: monospace;
    font-size: 20px;
}
.inner > button:hover {
    border: solid 0.5px;
    color: white;
}
.resturants {
    margin-top: 20%;
    position: relative;
}
.resturant {

    width: 90%;
    display: grid;
    justify-content: space-between;
    grid-auto-flow: column;
    left: 25px;
    right: 5%;
    margin:auto;
    border-bottom: 2px solid rgba(0,0,0,0.1);
    font-family: monospace;
    text-align: center;
    margin-top: 5px;
}
.mapLink {
    text-decoration: underline;
}
.mapLink:hover {
    color: blue;
    cursor: pointer;
    text-decoration: underline;
}
.innerRow {
    display: grid;
    grid-auto-flow: row;
    margin-left: 20px;
    margin-bottom: 5px;
}

.filled  {
    height: 10px;
    width: 10px;
}

.image {
    height: 40px;
    width: 40px;
}
.innerColumn {
    display: grid;
    grid-auto-flow: column;
}

.reviewList {
    width: 30%;
    height: fit-content;
    min-height: 50px;
    background-color: white;
    border-radius: 10px;
}
.review {
    font-family: monospace;
    margin-left: 5px;
    border-bottom: 1px solid rgba(0,0,0,0.5);
}

.review > p {
    margin-left: 10px;
}

.reviewList > button {
    background-color: white;
    border: none;
    float:right;
    font-size: 25px;
    border-radius: 10px;
}